package request


type AlibabaWdkMerchantItemQueryRequest struct {
    /*
        商品编码     */
    SkuCode  *string `json:"sku_code,omitempty" required:"false" `
    /*
        商家编码     */
    MerchantCode  *string `json:"merchant_code,omitempty" required:"false" `
}

func (s *AlibabaWdkMerchantItemQueryRequest) SetSkuCode(v string) *AlibabaWdkMerchantItemQueryRequest {
    s.SkuCode = &v
    return s
}
func (s *AlibabaWdkMerchantItemQueryRequest) SetMerchantCode(v string) *AlibabaWdkMerchantItemQueryRequest {
    s.MerchantCode = &v
    return s
}

func (req *AlibabaWdkMerchantItemQueryRequest) ToMap() map[string]interface{} {
    paramMap := make(map[string]interface{})
    if(req.SkuCode != nil) {
        paramMap["sku_code"] = *req.SkuCode
    }
    if(req.MerchantCode != nil) {
        paramMap["merchant_code"] = *req.MerchantCode
    }
    return paramMap
}

func (req *AlibabaWdkMerchantItemQueryRequest) ToFileMap() map[string]interface{} {
    fileMap := make(map[string]interface{})
    return fileMap
}